Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.logging.log
Class ProcessLog

    java.lang.Object
      org.jbpm.logging.log.ProcessLog

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CompositeLog, MessageLog, NodeLog, ProcessInstanceCreateLog, ProcessInstanceEndLog, SwimlaneLog, TaskLog, TokenCreateLog, TokenEndLog, VariableLog

    public abstract class ProcessLog

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.util.Date` | `date`
`protected int` | `index`
`protected CompositeLog` | `parent`
`protected Token` | `token`

Constructor Summary
`ProcessLog()`

Method Summary
`java.lang.String` | `getActorId()`
`java.util.Date` | `getDate()`
`long` | `getId()`
`int` | `getIndex()`
`CompositeLog` | `getParent()`
`Token` | `getToken()`
`void` | `setDate(java.util.Date date)`
`void` | `setIndex(int index)`
`void` | `setParent(CompositeLog parent)`
`void` | `setToken(Token token)`
`abstract java.lang.String` | `toString()` provides a text description for this update which can be used e.g. in the admin web console.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### index

    protected int index

### date

    protected java.util.Date date

### token

    protected Token token

### parent

    protected CompositeLog parent

Constructor Detail

### ProcessLog

    public ProcessLog()

Method Detail

### toString

    public abstract java.lang.String toString()

  provides a text description for this update which can be used e.g. in the admin web console.

  Overrides:
    `toString` in class `java.lang.Object`

### getActorId

    public java.lang.String getActorId()

### setToken

    public void setToken(Token token)

### setParent

    public void setParent(CompositeLog parent)

### getId

    public long getId()

### getDate

    public java.util.Date getDate()

### setDate

    public void setDate(java.util.Date date)

### getParent

    public CompositeLog getParent()

### getToken

    public Token getToken()

### setIndex

    public void setIndex(int index)

### getIndex

    public int getIndex()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD